#!/bin/sh
# This script is used to build IntelJ3 burner for Linux and Windows platform.
for ARG in "$@"; do
	case "$ARG" in
		--bin=*)
			ARG_PATH=${ARG#*=}
			;;
	esac
done

export PATH=/home/users/sqa/mingw/bin:$PATH
#BUILD_DIR=`pwd`
#rm -rf IntelJ3
#git clone atclnx01:/home/project/git_repo/IntelJ3.git
#cd $BUILD_DIR/IntelJ3

# Remove all executable file
rm -f IntelJ3 IntelJ3.exe
rm -f platform-ae210p.cpp spiflash-MXIC.cpp
rm -f Makefile_PARburn_linux Makefile_PARburn_win
rm -f Makefile_SPIburn_linux Makefile_SPIburn_win
rm -f build_PARburn.sh build_SPIburn.sh

# For Windows platform
make clean;make --makefile=Makefile_win

# For Linux platform
make clean;make --makefile=Makefile_linux


